<bugID>382711<Summary>on migration or db upgrade of a profile with livemarks, we start up the livemark service' update timer</Summary><Description>on first time migration of a fx2 profile with livemarks, are we starting up the livemark service?

I think the answer is yes (from a simple LOG() in nsLivemarkService.js) , but I need to get a stack trace to prove it.

I'm seeing us start it up even before the first browser window comes up.

If possible, we should delay instantating the livemark service on startup like we are attempting to do in normal fx3 startup.</Description></bugID>